fPaste.me

A free, anonymous, minimalist and open source paste tool.


:checkhealth
19-09-2020 14:49:22
Anonymous
health#jedi#check
3 ========================================================================
4 ## jedi
5 #### Jedi-vim debug information
6
7
8 ##### jedi-vim version
9
10
11 - jedi-vim git version: a17b033
12 - jedi git submodule status: 3b7106ae71cb7bd3431101d169a0110ee0c179aa pythonx/jedi (v0.17.2)
13 - parso git submodule status: c864ca60d1a2f36524a4f79013a7de223e65e19d pythonx/parso (v0.6.0)
14
15
16 ##### Global Python
17
18
19 Using Python version null to access Jedi.
20 Error when trying to import vim: Vim:E492: Not an editor command: PythonJedi import vim; vim.command('let s:pythonjedi_called = 1')
21 PythonJedi failed to run, likely a Python config issue.
22 Try :checkhealth for more information.
23
24
25 ##### Settings
26
27
28 ```
29 omnifunc=htmlcomplete#CompleteTags
30 Last set from /usr/share/nvim/runtime/ftplugin/html.vim line 24
31 completeopt=menuone,longest,preview
32 Last set from ~/.local/share/nvim/plugged/jedi-vim/plugin/jedi.vim line 36
33 ```
34
35 health#nvim#check
health#nvim#check
36 ========================================================================
37 ## Configuration
38 - OK: no issues found
39
40 ## Performance
41 - OK: Build type: Release
42
43 ## Remote Plugins
44 - OK: Up to date
45
46 ## terminal
47 - INFO: key_backspace (kbs) terminfo entry: key_backspace=\177
48 - INFO: key_dc (kdch1) terminfo entry: key_dc=\E[3~
49 - INFO: $COLORTERM='truecolor'
50
51 health#provider#check
52 ========================================================================
53 ## Clipboard (optional)
54 - OK: Clipboard tool found: xsel
55
56 ## Python 2 provider (optional)
57 - WARNING: No Python executable found that can `import neovim`. Using the first available executable for diagnostics.
58 - ERROR: Python provider error:
59 - ADVICE:
60 - provider/pythonx: Could not load Python 2:
61 python2 not found in search path or not executable.
62 python2.7 not found in search path or not executable.
63 python2.6 not found in search path or not executable.
64 /usr/bin/python is Python 3.8 and cannot provide Python 2.
- INFO: Executable: Not found
66
67 ## Python 3 provider (optional)
68 - WARNING: No Python executable found that can `import neovim`. Using the first available executable for diagnostics.
69 - ERROR: Python provider error:
70 - ADVICE:
71 - provider/pythonx: Could not load Python 3:
72 /usr/bin/python3 does not have the "neovim" module. :help provider-python
73 python3.7 not found in search path or not executable.
74 python3.6 not found in search path or not executable.
75 python3.5 not found in search path or not executable.
76 python3.4 not found in search path or not executable.
77 python3.3 not found in search path or not executable.
78 /usr/bin/python does not have the "neovim" module. :help provider-python
79 - INFO: Executable: Not found
80
81 ## Ruby provider (optional)
82 - WARNING: `ruby` and `gem` must be in $PATH.
83 - ADVICE:
84 - Install Ruby and verify that `ruby` and `gem` commands work.
85
86 ## Node.js provider (optional)
87 - WARNING: `node` and `npm` (or `yarn`) must be in $PATH.
88 - ADVICE:
89 - Install Node.js and verify that `node` and `npm` (or `yarn`) commands work.
90